import { Component } from 'react';
import { LPInboxMessage } from '@brandingbrand/react-native-leanplum';
import { ImageURISource, TextStyle, ViewStyle, ListRenderItemInfo } from 'react-native';
export interface LeanplumInboxPropTypes {
    logo: ImageURISource;
    appName: string;
    fontName?: string;
    buttonStyle?: ViewStyle;
    buttonTextStyle?: TextStyle;
    messageTitleStyle?: TextStyle;
}
export interface LeanplumInboxStateTypes {
    messages: any[];
    webviewVisible: boolean;
    webviewActionUrl: string;
    webviewActionTitle: string;
}
export default class leanplumInbox extends Component<LeanplumInboxPropTypes, LeanplumInboxStateTypes> {
    constructor(props: LeanplumInboxPropTypes);
    componentDidMount(): void;
    sortMessageByTime: (msgs: LPInboxMessage[]) => LPInboxMessage[];
    render(): JSX.Element;
    closeModal: () => void;
    getFontName: () => {
        fontFamily: string;
    };
    getMessageTitleStyle: () => TextStyle;
    renderModalHeader: () => JSX.Element;
    handlePress: (msg: LPInboxMessage) => () => void;
    handleModalWebView: (url: any, title: any) => void;
    renderMessage: (listItem: ListRenderItemInfo<LPInboxMessage>) => JSX.Element;
}
